Download it now!
Bug 60760 - FILEOPEN loading 4.0.0.3 saved file with conditional formating can't be loaded in 3.6.5 (endless recovery)
Summary: FILEOPEN loading 4.0.0.3 saved file with conditional formating can't be loade...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: medium major
Assignee: Markus Mohrhard
URL:
Whiteboard: target:3.6.6
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-13 02:06 UTC by Horst
Modified: 2013-11-18 12:12 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
.ods saved in 3.6.5 (11.13 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-02-13 02:06 UTC, Horst
Details
.ods saved in 3.6.5 (11.13 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-02-13 02:10 UTC, Horst
Details
.ods saved in 4.0.0.3 (13.24 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-02-13 02:11 UTC, Horst
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Horst 2013-02-13 02:06:45 UTC
Created attachment 74718 [details]
.ods saved in 3.6.5

Created attached file T36_40.ods in 3.6 with some Conditional Formating (Databar).

Loaded file into 4.0.0.3 and Save As T36_40_1.ods with no change in data or formating.

Try to load 2.file in 3.6.5 creates an endless loop of recovery attempts which all fail.

File loads fine (except no databars) in LO3.5.7, Gnumeric and Excel 2010 starter.
Comment 1 Horst 2013-02-13 02:10:34 UTC
Created attachment 74719 [details]
.ods saved in 3.6.5
Comment 2 Horst 2013-02-13 02:11:31 UTC
Created attachment 74720 [details]
.ods saved in 4.0.0.3
Comment 3 Markus Mohrhard 2013-02-14 16:05:33 UTC
Need to adapt the 3.6 code for the changes in 4.0
Comment 4 Not Assigned 2013-02-25 15:58:05 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=931198a43b2d03404a3a75eb5005ddacaa64540c&h=libreoffice-3-6

support new attribute also in 3.6, fdo#60760


It will be available in LibreOffice 3.6.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Horst 2013-03-22 20:47:27 UTC
Thanks, it works in 3.6.6.1.